<?php

  // charsetdemo.php
  // This is a demo showing hwo to output the contents of the CHARSETDEMO.FDB file to HTML using PHP.
  // Stefan Heymann - International Firebird Conference 2006 - Prague, Czech Republic


  // --- Database Parameters
  $Database = "elias/fb2:charsetdemo";
  $Username = "SYSDBA";
  $Password = "masterkey";


?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta http-equiv="Content-Language" content="en">
	<title>PHP Charset Demo - Firebird Conference 2006</title>
	<style type="text/css"><!--
		body {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; }
		td, th, ul, li, input, textarea {font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 10pt; }
		h2 {font-size: 12pt; font-weight: bold; margin: 1.5em 0 .5em 0; }
		p {margin: .5em 0 .5em 0; }
		p.hint {font-size: 90%; color: #777777; }
		hr {margin: 3em 0 1em 0; }
		table {border: none; empty-cells: show; border-collapse: collapse; border-spacing: 0px; margin-left: 0.5px; /* Thanks, Gecko :-( */
}

		th {text-align: left; vertical-align: top; border: solid 1px black; background-color: #F0F0F0; }
		td {text-align: left; vertical-align: top; border: solid 1px black; background-color: white; }
	--></style>
</head>

<body>

<h1>PHP/Firebird 2.0 Character Set Demo</h1>

<?php
  // --- Connect to Database
  $db = ibase_connect ($Database, $Username, $Password, "UTF8");
  if (!$db)
    die;

  // --- Start table
  echo "<table>\n";
  echo "<tr>\n";
  echo "	<th>UTF8\n";
  echo "	<th>ISO8859_1\n";
  echo "	<th>ISO8859_2\n";
  echo "	<th>WIN1252\n";
  echo "	<th>NONE\n";
  echo "	<th>ASCII\n";
  echo "	<th>KOI8R\n";

  // --- SELECT and output results
  $qry = ibase_query ($db, "select STR_UTF8, STR_ISO8859_1, STR_ISO8859_2, STR_KOI8R, STR_NONE, STR_ASCII, STR_WIN1252 " .
                           "from test order by test_id");
  while ($row = ibase_fetch_object ($qry)) {
  	echo "<tr>\n";
  	echo "	<td>" . $row->STR_UTF8 . "\n";
  	echo "	<td>" . $row->STR_ISO8859_1 . "\n";
  	echo "	<td>" . $row->STR_ISO8859_2 . "\n";
  	echo "	<td>" . $row->STR_WIN1252 . "\n";
  	echo "	<td>" . $row->STR_NONE . "\n";
  	echo "	<td>" . $row->STR_ASCII . "\n";
  	echo "	<td>" . $row->STR_KOI8R . "\n";
  }
  ibase_free_result ($qry);

  // --- Finish Table
  echo "</table>\n";

  // --- Close Connection to Database
	ibase_close ($db);
?>
<hr>
<p class="hint">Firebird Conference 2006 &ndash; Stefan Heymann</p>

</body>
</html>
